summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAdrian Perez de Castro2016-08-16 00:22:30 +0300
committerAdrian Perez de Castro2016-08-16 00:22:30 +0300
commit0fce141aef68905b47a19855a0594672e9f5c68a (patch)
tree159e2063a1ffe58e126e72a75b3c747d9e411f59
downloadaur-0fce141aef68905b47a19855a0594672e9f5c68a.tar.gz
Initial import
-rw-r--r--.SRCINFO19
-rw-r--r--PKGBUILD37
2 files changed, 56 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..1984a0d2679
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,19 @@
+# Generated by mksrcinfo v8
+# Mon Aug 15 21:22:22 UTC 2016
+pkgbase = icetop-git
+ pkgdesc = Terminal top-like monitor for icecream/icecc
+ pkgver = 0
+ pkgrel = 1
+ url = https://github.com/aperezdc/icetop
+ arch = x86_64
+ arch = i686
+ license = GPL2
+ makedepends = autoconf
+ depends = icecream
+ depends = libdill
+ depends = libtickit-bzr
+ source = icetop-git::git+https://github.com/aperezdc/icetop
+ sha512sums = SKIP
+
+pkgname = icetop-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..589eadd5351
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,37 @@
+# Maintainer: Adrián Pérez de Castro <aperez@igalia.com>
+pkgdesc='Terminal top-like monitor for icecream/icecc'
+pkgname='icetop-git'
+pkgver='0'
+pkgrel='1'
+license=('GPL2')
+arch=('x86_64' 'i686')
+depends=('icecream' 'libdill' 'libtickit-bzr')
+makedepends=('autoconf')
+url='https://github.com/aperezdc/icetop'
+source=("${pkgname}::git+${url}")
+sha512sums=("SKIP")
+
+pkgver () {
+ cd "${pkgname}"
+ (
+ set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+prepare () {
+ cd "${pkgname}"
+ autoreconf -i -v
+}
+
+build () {
+ cd "${pkgname}"
+ ./configure --prefix=/usr
+ make
+}
+
+package () {
+ cd "${pkgname}"
+ make install DESTDIR="${pkgdir}"
+}